> For the complete documentation index, see [llms.txt](https://docs.everos.dev/ever-sdk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.everos.dev/ever-sdk/guides/work_with_contracts/run_fift_get_method.md).

# Run Fift Get Method

Learn how to run FIFT methods

## About Fift get methods

There are contracts written in Fift. They have other rules for running get methods.

This is why we have a separate method for that in tvm module - [run\_get](/ever-sdk/reference/types-and-methods/mod_tvm.md#run_get).

## Sample source code

Check this sample, demonstrating how to run get methods of elector contract:

<https://github.com/everx-labs/sdk-samples/blob/master/core-examples/node-js/run_get/index.js>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.everos.dev/ever-sdk/guides/work_with_contracts/run_fift_get_method.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
